#include<iostream.h>
 int main()
{
 void swap(int *p,int *q);//函数声明
 int a,b;
 cout<<"请输入两个整数："<<endl;
 cin>>a>>b;
 swap(&a,&b);//传址调用
 cout<<"a="<<a<<",b="<<b<<endl;
 return(0);
} 
 void swap(int *p,int *q)//函数定义
{
 int t;
 t=*p;
 *p=*q;
 *q=t;
}
